<?php

namespace Drupal\prehome;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Drupal\prehome\StackMiddleware\CookiesPageCache;

/**
 * Overrides the Core PageCache service.
 */
class PrehomeServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    $container->getDefinition('http_middleware.page_cache')->setClass(CookiesPageCache::class);
  }

}
